Bug 105484 - [PATCH] textproc/docbook-xsl: Fix COPYDIRS by adding new directory: highlighting
Summary: [PATCH] textproc/docbook-xsl: Fix COPYDIRS by adding new directory: highlighting
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-13 16:40 UTC by chinsan
Modified: 2006-11-20 09:40 UTC (History)
1 user (show)

See Also:


Attachments
docbook-xsl-1.71.1_1.patch (1.85 KB, patch)
2006-11-13 16:40 UTC, chinsan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chinsan freebsd_committer 2006-11-13 16:40:01 UTC
- Fix COPYDIRS by adding new directory: highlighting

- The line 20 in /usr/local/share/xsl/docbook/html/verbatim.xsl shows:

  <xsl:include href="../highlighting/common.xsl"/>

  But we didn't install /usr/local/share/xsl/docbook/highlighting/common.xsl.
  This patch will fix for this.


Port maintainer (des@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77

How-To-Repeat: 
chinsan@chinsan </usr/ports/textproc/xmlto> sudo make
===>  Vulnerability check disabled, database not found
===>  Extracting for xmlto-0.0.18
=> MD5 Checksum OK for xmlto-0.0.18.tar.bz2.
=> SHA256 Checksum OK for xmlto-0.0.18.tar.bz2.
===>  Patching for xmlto-0.0.18
===>  Applying FreeBSD patches for xmlto-0.0.18
/usr/bin/sed -i.bak -e '/format\/fo\//d' /usr/ports/textproc/xmlto/work/xmlto-0.0.18/Makefile.in
===>   xmlto-0.0.18 depends on file: /usr/local/bin/bash - found
===>   xmlto-0.0.18 depends on file: /usr/local/bin/getopt - found
===>   xmlto-0.0.18 depends on executable in : xmllint - found
===>   xmlto-0.0.18 depends on executable in : xsltproc - found
===>   xmlto-0.0.18 depends on file: /usr/local/share/xsl/docbook - found
===>  Configuring for xmlto-0.0.18
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking whether cc understands -c and -o together... yes
checking for flex... flex
checking for yywrap in -lfl... yes
checking lex output file root... lex.yy
checking whether yytext is a pointer... yes
checking for mktemp program... mktemp
checking for GNU find program... find
checking for bash... /usr/local/bin/bash
checking for getopt program... /usr/local/bin/getopt
checking whether getopt handles long options... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating xmlto
config.status: creating xmlto.spec
config.status: creating config.h
config.status: executing depfiles commands
===>  Building for xmlto-0.0.18
make  all-am
if cc -DHAVE_CONFIG_H -I. -I. -I.     -O2 -fno-strict-aliasing -pipe -O2 -pipe -march=i686 -march=pentium4 -MT xmlif/xmlif.o -MD -MP -MF "xmlif/.deps/xmlif.Tpo" -c -o xmlif/xmlif.o `test -f 'xmlif/xmlif.c' || echo './'`xmlif/xmlif.c;  then mv -f "xmlif/.deps/xmlif.Tpo" "xmlif/.deps/xmlif.Po"; else rm -f "xmlif/.deps/xmlif.Tpo"; exit 1; fi
cc  -O2 -fno-strict-aliasing -pipe -O2 -pipe -march=i686 -march=pentium4   -o xmlif/xmlif  xmlif/xmlif.o  
for xml in xmlif.xml xmlto.xml; do  FORMAT_DIR=./format XSL_DIR=./xsl  bash ./xmlto -o man/man1 man ./doc/$xml ;  done || ( RC=$?; cat ./FAQ; exit $RC )
warning: failed to load external entity "file:///usr/local/share/xsl/docbook/highlighting/common.xsl"
compilation error: file file:///usr/local/share/xsl/docbook/html/verbatim.xsl line 20 element include
xsl:include : unable to load file:///usr/local/share/xsl/docbook/highlighting/common.xsl
warning: failed to load external entity "file:///usr/local/share/xsl/docbook/highlighting/common.xsl"
compilation error: file file:///usr/local/share/xsl/docbook/html/verbatim.xsl line 20 element include
xsl:include : unable to load file:///usr/local/share/xsl/docbook/highlighting/common.xsl

Q: I'm trying to build xmlto on my Debian box, but it doesn't work.

A: If you get `Attempt to load network entity' errors when building
   xmlto, your system does not have the required support for XML
   Catalogs
   (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
   In particular, Debian has no support for these.  Try the Fedora
   Project <http://fedora.redhat.com>.
*** Error code 1

Stop in /usr/ports/textproc/xmlto/work/xmlto-0.0.18.
*** Error code 1

Stop in /usr/ports/textproc/xmlto/work/xmlto-0.0.18.
*** Error code 1

Stop in /usr/ports/textproc/xmlto.
Comment 1 Edwin Groothuis freebsd_committer 2006-11-13 16:42:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Over to maintainer
Comment 2 Vasil Dimov freebsd_committer 2006-11-20 08:18:09 UTC
On Tue, Nov 14, 2006 at 12:29:33AM +0800, chinsan wrote:
> 
> >Number:         105484
> >Category:       ports
> >Synopsis:       [PATCH] textproc/docbook-xsl: Fix COPYDIRS by adding new directory: highlighting
> >Confidential:   no
> >Severity:       serious
> >Priority:       medium
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Mon Nov 13 16:40:01 GMT 2006
> >Closed-Date:
> >Last-Modified:
> >Originator:     chinsan
> >Release:        FreeBSD 6.2-PRERELEASE i386
> >Organization:
> Taiwan
> >Environment:
> System: FreeBSD chinsan.twbbs.org 6.2-PRERELEASE FreeBSD 6.2-PRERELEASE #2: Sun Nov 12 00:43:51 CST 2006
> >Description:
> - Fix COPYDIRS by adding new directory: highlighting
> 
> - The line 20 in /usr/local/share/xsl/docbook/html/verbatim.xsl shows:
> 
>   <xsl:include href="../highlighting/common.xsl"/>
> 
>   But we didn't install /usr/local/share/xsl/docbook/highlighting/common.xsl.
>   This patch will fix for this.
> 
> 
> Port maintainer (des@FreeBSD.org) is cc'd.
> 
> Generated with FreeBSD Port Tools 0.77
> >How-To-Repeat:
> 
> chinsan@chinsan </usr/ports/textproc/xmlto> sudo make
> ===>  Vulnerability check disabled, database not found
> ===>  Extracting for xmlto-0.0.18
> => MD5 Checksum OK for xmlto-0.0.18.tar.bz2.
> => SHA256 Checksum OK for xmlto-0.0.18.tar.bz2.
> ===>  Patching for xmlto-0.0.18
> ===>  Applying FreeBSD patches for xmlto-0.0.18
> /usr/bin/sed -i.bak -e '/format\/fo\//d' /usr/ports/textproc/xmlto/work/xmlto-0.0.18/Makefile.in
> ===>   xmlto-0.0.18 depends on file: /usr/local/bin/bash - found
> ===>   xmlto-0.0.18 depends on file: /usr/local/bin/getopt - found
> ===>   xmlto-0.0.18 depends on executable in : xmllint - found
> ===>   xmlto-0.0.18 depends on executable in : xsltproc - found
> ===>   xmlto-0.0.18 depends on file: /usr/local/share/xsl/docbook - found
> ===>  Configuring for xmlto-0.0.18
> checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
> checking whether build environment is sane... yes
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking for gcc... cc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether cc accepts -g... yes
> checking for cc option to accept ANSI C... none needed
> checking for style of include used by make... GNU
> checking dependency style of cc... gcc3
> checking whether cc understands -c and -o together... yes
> checking for flex... flex
> checking for yywrap in -lfl... yes
> checking lex output file root... lex.yy
> checking whether yytext is a pointer... yes
> checking for mktemp program... mktemp
> checking for GNU find program... find
> checking for bash... /usr/local/bin/bash
> checking for getopt program... /usr/local/bin/getopt
> checking whether getopt handles long options... yes
> configure: creating ./config.status
> config.status: creating Makefile
> config.status: creating xmlto
> config.status: creating xmlto.spec
> config.status: creating config.h
> config.status: executing depfiles commands
> ===>  Building for xmlto-0.0.18
> make  all-am
> if cc -DHAVE_CONFIG_H -I. -I. -I.     -O2 -fno-strict-aliasing -pipe -O2 -pipe -march=i686 -march=pentium4 -MT xmlif/xmlif.o -MD -MP -MF "xmlif/.deps/xmlif.Tpo" -c -o xmlif/xmlif.o `test -f 'xmlif/xmlif.c' || echo './'`xmlif/xmlif.c;  then mv -f "xmlif/.deps/xmlif.Tpo" "xmlif/.deps/xmlif.Po"; else rm -f "xmlif/.deps/xmlif.Tpo"; exit 1; fi
> cc  -O2 -fno-strict-aliasing -pipe -O2 -pipe -march=i686 -march=pentium4   -o xmlif/xmlif  xmlif/xmlif.o  
> for xml in xmlif.xml xmlto.xml; do  FORMAT_DIR=./format XSL_DIR=./xsl  bash ./xmlto -o man/man1 man ./doc/$xml ;  done || ( RC=$?; cat ./FAQ; exit $RC )
> warning: failed to load external entity "file:///usr/local/share/xsl/docbook/highlighting/common.xsl"
> compilation error: file file:///usr/local/share/xsl/docbook/html/verbatim.xsl line 20 element include
> xsl:include : unable to load file:///usr/local/share/xsl/docbook/highlighting/common.xsl
> warning: failed to load external entity "file:///usr/local/share/xsl/docbook/highlighting/common.xsl"
> compilation error: file file:///usr/local/share/xsl/docbook/html/verbatim.xsl line 20 element include
> xsl:include : unable to load file:///usr/local/share/xsl/docbook/highlighting/common.xsl
> 
> Q: I'm trying to build xmlto on my Debian box, but it doesn't work.
> 
> A: If you get `Attempt to load network entity' errors when building
>    xmlto, your system does not have the required support for XML
>    Catalogs
>    (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
>    In particular, Debian has no support for these.  Try the Fedora
>    Project <http://fedora.redhat.com>.
> *** Error code 1
> 
> Stop in /usr/ports/textproc/xmlto/work/xmlto-0.0.18.
> *** Error code 1
> 
> Stop in /usr/ports/textproc/xmlto/work/xmlto-0.0.18.
> *** Error code 1
> 
> Stop in /usr/ports/textproc/xmlto.
> 
> >Fix:
> 
> --- docbook-xsl-1.71.1_1.patch begins here ---
> diff -ruN --exclude=CVS /usr/ports/textproc/docbook-xsl/Makefile /usr/home/chinsan/project/docbook-xsl/Makefile
> --- /usr/ports/textproc/docbook-xsl/Makefile	Sat Nov 11 18:31:29 2006
> +++ /usr/home/chinsan/project/docbook-xsl/Makefile	Tue Nov 14 00:14:40 2006
> @@ -7,6 +7,7 @@
>  
>  PORTNAME=	docbook-xsl
>  PORTVERSION=	1.71.1
> +PORTREVISION=	1
>  CATEGORIES=	textproc
>  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
>  MASTER_SITE_SUBDIR=	docbook
> @@ -28,7 +29,7 @@
>  XMLDIR=		${LOCALBASE}/share/xml
>  INSTDIR=	share/xsl/docbook
>  PINSTDIR=	${PREFIX}/${INSTDIR}
> -COPYDIRS=	common extensions fo html htmlhelp images \
> +COPYDIRS=	common extensions fo highlighting html htmlhelp images \
>  		javahelp lib manpages params profiling slides \
>  		template tools wordml xhtml
>  PKGINSTALL=	${WRKDIR}/pkg-install
> diff -ruN --exclude=CVS /usr/ports/textproc/docbook-xsl/pkg-plist /usr/home/chinsan/project/docbook-xsl/pkg-plist
> --- /usr/ports/textproc/docbook-xsl/pkg-plist	Sat Nov 11 18:31:29 2006
> +++ /usr/home/chinsan/project/docbook-xsl/pkg-plist	Tue Nov 14 00:18:54 2006
> @@ -1073,6 +1073,14 @@
>  share/xsl/docbook/fo/verbatim.xsl
>  share/xsl/docbook/fo/xep.xsl
>  share/xsl/docbook/fo/xref.xsl
> +share/xsl/docbook/highlighting/delphi-hl.xml
> +share/xsl/docbook/highlighting/ini-hl.xml
> +share/xsl/docbook/highlighting/java-hl.xml
> +share/xsl/docbook/highlighting/xslthl-config.xml
> +share/xsl/docbook/highlighting/myxml-hl.xml
> +share/xsl/docbook/highlighting/php-hl.xml
> +share/xsl/docbook/highlighting/common.xsl
> +share/xsl/docbook/highlighting/m2-hl.xml
>  share/xsl/docbook/html/admon.xsl
>  share/xsl/docbook/html/annotations.xsl
>  share/xsl/docbook/html/autoidx-kimber.xsl
> @@ -1907,6 +1915,7 @@
>  @dirrm share/xsl/docbook/images
>  @dirrm share/xsl/docbook/htmlhelp
>  @dirrm share/xsl/docbook/html
> +@dirrm share/xsl/docbook/highlighting
>  @dirrm share/xsl/docbook/fo
>  @dirrm share/xsl/docbook/extensions
>  @dirrm share/xsl/docbook/common
> --- docbook-xsl-1.71.1_1.patch ends here ---
> 
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"

-- 
Vasil Dimov
gro.DSBeerF@dv
%
Take it easy, we're in a hurry.
Comment 3 Vasil Dimov freebsd_committer 2006-11-20 08:20:46 UTC
On Tue, Nov 14, 2006 at 12:29:33AM +0800, chinsan wrote:
> >Number:         105484
> >Category:       ports
> >Synopsis:       [PATCH] textproc/docbook-xsl: Fix COPYDIRS by adding new directory: highlighting
> >Severity:       serious
> >Priority:       medium
[...]

This issue is breaking devel/git build and a lot of other things,
please commit ASAP.

(sorry for my previous mail, I hit `y' by accident before editing the
mail)

-- 
Vasil Dimov
gro.DSBeerF@dv
%
If you accidently end up inside vi, you can quit it by pressing Escape, colon
(:), q (q), bang (!) and pressing return.
Comment 4 dfilter service freebsd_committer 2006-11-20 09:35:45 UTC
des         2006-11-20 09:35:39 UTC

  FreeBSD ports repository

  Modified files:
    textproc/docbook-xsl Makefile pkg-plist 
  Log:
  Add missing 'highlighting' directory.
  
  PR:             ports/105423, ports/105484
  
  Revision  Changes    Path
  1.43      +2 -2      ports/textproc/docbook-xsl/Makefile
  1.35      +9 -0      ports/textproc/docbook-xsl/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dag-Erling Smørgrav freebsd_committer 2006-11-20 09:36:20 UTC
State Changed
From-To: open->closed

Fixed, sorry for the breakage